<?php

namespace Vn\Rest;

/**
 * Class used to store information about errors, warnings and info messages.
 *
 * @property string $domain The domain name
 * @property string $code The code of message
 * @property string $message The message string
 **/
class Exception extends \Exception
{
	protected $domain;
	protected $code;
	
	function __construct ($domain, $code, $message)
	{
		parent::__construct ($message);
		$this->domain = $domain;
		$this->code = $code;
	}
	
	function getDomain ()
	{
		return $this->domain;
	}
}

?>
